//Defines
#define XTAL 8000000
#define UART_BAUD_RATE 19200

#define HIGH(x) ((uint8_t)((x) >> 8))
#define LOW(x) ((uint8_t)((x) & 0x00ff))
#define TWOBYTE(x,y) ((((uint8_t)(x)) << 8) | (uint8_t)(y))

#define LEDPORT PORTB
#define LEDDDR DDRB
#define LED_RED 1
#define LED_GREEN 2

#define true 1
#define false 0

#define SENSOR_ERROR -50
#define MIN_VALUE -20
#define MAX_VALUE 300

#define PCF_ADDR 0x70
#define OUT_ALARM (1<<4)

//we proudly present: the definition of the sensor ;o)
//since these values are used within functions which uses pointers, we cannot use bitfields
typedef struct {
   uint8_t condition;		//condition (0=Off, 1=On)
   uint8_t output;		//selected output (1-4 are "ON, if under-temperature"; 5-8 are "ON, if over-temperature")
   uint8_t output_state;	//state of the selected output (0=Off, 1=On)
   uint8_t alarm;		//enable or disable alarm (0=no alarm, 1=alarm)   
   uint8_t hysteresis;		//hysteresis of the sensor (0-9 C)
   uint8_t i2c_address;		//8 Bit to store the i2c-address of the sensor
   int16_t target_value;	//signed 16 bit for the target temperature
   int16_t actual_value; 	//signed 16 bit for the current temperature
} tSensor;
